net.sf.okapi.common.filters

## Enum FilterState.FILTER_STATE

- java.lang.Object
- - java.lang.Enum<FilterState.FILTER_STATE>
  - - net.sf.okapi.common.filters.FilterState.FILTER_STATE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FilterState.FILTER_STATE>
  Enclosing class:
    FilterState

      public static enum FilterState.FILTER_STATE
      extends java.lang.Enum<FilterState.FILTER_STATE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSIDE_ATTRIBUTE`
    `INSIDE_TAG`
    `INSIDE_TEXTUNIT`
    `STANDALONE_TEXTUNIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterState.FILTER_STATE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FilterState.FILTER_STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSIDE_TAG

          public static final FilterState.FILTER_STATE INSIDE_TAG

    - #### INSIDE_TEXTUNIT

          public static final FilterState.FILTER_STATE INSIDE_TEXTUNIT

    - #### INSIDE_ATTRIBUTE

          public static final FilterState.FILTER_STATE INSIDE_ATTRIBUTE

    - #### STANDALONE_TEXTUNIT

          public static final FilterState.FILTER_STATE STANDALONE_TEXTUNIT

  - ### Method Detail

    - #### values

          public static FilterState.FILTER_STATE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterState.FILTER_STATE c : FilterState.FILTER_STATE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterState.FILTER_STATE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null